Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 215361 - iptables is missing /lib/iptables/libipt_statistic.so
Summary: iptables is missing /lib/iptables/libipt_statistic.so
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 427887
TreeView+ depends on / blocked
 
Reported: 2006-11-13 17:35 UTC by T. Murphy
Modified: 2011-12-13 22:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-08 04:24:23 UTC


Attachments (Terms of Use)

Description T. Murphy 2006-11-13 17:35:21 UTC
Description of problem:

iptables is missing /lib/iptables/libipt_statistic.so


Version-Release number of selected component (if applicable): 1.3.5-1.2.1


How reproducible:

Attempted to run:

iptables -t mangle -L POSTROUTING -m statistic --mode nth --every 2 --packet 0
-o eth0 -j ACCEPT

Steps to Reproduce:
1. modprobe xt_statistic
2. run any iptables with -t mangle -L POSTROUTING -m statistic command
3. result: iptables error
  
Actual results:
iptables v1.3.5: Couldn't load match
`statistic':/lib/iptables/libipt_statistic.so: cannot open shared object file:
No such file or directory

Expected results:

no output (meaning the rule was inserted)

Additional info:

rpm -ql on iptables shows that libipt_statistic.so is not in the rpm. Yet, the
kernel that comes with fc6 (2.6.18) has xt_statistic (a module that iptables can
use for nth packet matching, etc..)

Perhaps the developer did not include this file in the rpm? Or this is fixed in
iptables 1.3.6?

Comment 1 Will Woods 2006-11-15 16:46:27 UTC
Checking the netfilter site, I found:

http://www.netfilter.org/projects/iptables/files/changes-iptables-1.3.6.txt

which reveals that libipt_statistic.so is new in iptables 1.3.6.

Comment 2 Thomas Woerner 2007-08-02 12:26:58 UTC
This has to get fixed in kernel-headers. xt_statistic is ebaled in the kernel,
but the header file is missing in kernel-headers.

Assigning to kernel.

Please fix this for fedora 6+

Comment 3 Thomas Woerner 2007-08-02 12:28:13 UTC
After fixing please reassign to iptables - a rebuild is needed, then.

Comment 4 Chuck Ebbert 2007-08-06 21:08:07 UTC
I just got xt_statistic.h added to the installed list (davem took the patch.)
I'll merge it in fedora too.

Comment 5 Jon Stanley 2008-01-08 01:51:34 UTC
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!

Comment 6 Jon Stanley 2008-02-08 04:24:23 UTC
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!


Note You need to log in before you can comment on or make changes to this bug.